@charset "utf-8";
/* CSS Document */



.mappop {
  position:absolute;
  box-shadow: 2px 2px 8px 1px #808080;
  right:5em;
  border-radius: 10px;
  z-index:9998;
}
#mapgps {
position: fixed;
bottom:4em;
right:1em;
display: none;
z-index: 999
}
#mapgps .dropdown-menu{text-align: center;padding:10px 7px; width:240px;}
#mapgps .dropdown-menu .btn{padding:2px 3px; margin-right:2px;}
#maplayer{display:none;}
.maplayerpop {
  min-width: 200px;
  top:12.5em;
	z-index: 9999
}
.maplayerpop img{
	max-width: 3rem;
	max-height: 1.5rem;
}
.mappop h3{
	background: #17a2b8;padding: 8px;color: #fff;border-radius: 3px 3px 0 0;border: 1px solid #17a2b8;font-size:16px;text-align: center;margin:0;
}
.mappop .closebt {
  position: absolute;
  width: 24px;
  height: 24px;
  top: 5px;
  right: 6px;
  opacity: 0.8;
  transition: all 200ms;
  font-size: 28px;
	line-height: 24px;
  font-weight: bold;
  text-decoration: none;
  color: #fff;
}
.mappop .closebt:hover {
  opacity: 1;
}
.mapbox-body{border-radius: 0 0 10px 10px;padding:10px;background-color:#fff;}
.mapbox{ font-size:14px;}
.mapbox a{color:#d7f2ff;font-size:15px;}
.mapbox a:hover{color:#ace1fa;}
.mapbox > div{ vertical-align:top;}
.modal-header, .modal-header, .modal-header{display:inline-flex; text-align: center;background: #196fae; padding: .7rem .7rem; border-radius: 2px 2px 0 0;}
.modal-header .close, .modal-header .close, .modal-header .close{color:#fff; font-size: 2em; padding: .6rem 1rem}
.modal-title, .modal-title, .modal-title{line-height: 1.2em;  color: #fff; padding:0;}
.mapchange{text-align: center;}
.mapchange .mapimg{margin:0 auto;position: relative;max-width:264px;}
.mapchange .mapimg:hover{color: rgba(255,237,0,.2)}
.mapchange .mapimg.active, .mapchange .mapimg:focus{border:3px solid #FFDD00}
.mapchange .mapimg h3{position: absolute;bottom:0;width:100%;background:rgba(0,0,0,.5);z-index: 1;color:#fff;margin-bottom:0;padding:10px;font-size:20px;}
.mapchange .mapimg h3:hover{color: #FFDD00}


/*.mapserch .modal-body .btn{margin:5px;}*/


/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 23px;
  float:right;
  margin-left:5px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 17px;
  width: 17px;
  left: 3px;
  bottom: 3px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input.default:checked + .slider {
  background-color: #444;
}
input.primary:checked + .slider {
  background-color: #2196F3;
}
input.success:checked + .slider {
  background-color: #8bc34a;
}
input.info:checked + .slider {
  background-color: #3de0f5;
}
input.warning:checked + .slider {
  background-color: #FFC107;
}
input.danger:checked + .slider {
  background-color: #f44336;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(17px);
  -ms-transform: translateX(17px);
  transform: translateX(17px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.mappop .list-group-item {
    font-size:1.1em;
	font-weight: bold;
	position: relative;
    display: block;
	padding: .2rem;
	border: 0;
}
/*搜尋條件按鍵*/
.mapserch h3{font-size:1.1em;}
.mapserch h3 a{font-size:.85em;margin-right:5px;}
.text-btn.blue.selected {
    background-color: #107A7A;
    border: 2px solid #1ba7a7;
}
.text-btn {
    display: inline-block;
    font-size: 1rem;
    color: #636363;
    padding: 0 10px;
    padding-bottom: 0px;
    border-radius: 3px;
    min-width: 50px;
    margin-right: 5px;
    line-height: 1.8;
    text-align: center;
    min-width: 70px;
	margin:5px;
}
.text-btn.selected {
    position: relative;
    color: #fff;
}
.text-btn.selected:after {
	content: 'x';
    position: absolute;
	font-family: Arial, "sans-serif";
    color: #eb0b0b;
    font-size: .9rem;
    width: 20px;
    height: 20px;
    background-color: #fff;
    border-radius: 100%;
    line-height: 1;
    top: -7px;
	right:-9px;
    border: 2px solid #0cc291;
}
.legendbtn2{
	position: absolute;
	top: .5rem; right:5rem;
	
}
@media (max-width: 575.98px) {
	
	#mapgps {
	  bottom:5em;
		right:1em;
	}
	.maplayerpop {
	  top:10.5em;
	  right:1em;
	}
}